%define	name	kipi-plugins
%define	version	0.1.2
%define	release	 %mkrel 3
%define	Summary	KDE image Interface Plugins 

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		System/Libraries
Source0: http://prdownloads.sourceforge.net/kipi/%{name}-%{version}.tar.bz2

URL: 		http://extragear.kde.org/apps/kipi
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	mjpegtools
Requires:	ImageMagick >= 5.5.4
BuildRequires:	libkipi-devel libkexif-devel
BuildRequires:  tiff-devel libMagick-devel libxslt-devel
BuildRequires:	libgphoto-devel imlib2-devel libxml2-utils
%if %{mdkversion} >= 200610
BuildRequires:  libmesaglu-devel
%else
BuildRequires:  libMesaGLU-devel
%endif
Conflicts:	digikam-plugins
Epoch:		1

%description
 The library of the KDE Image Plugin Interface.  

 Libkipi allows image applications to use a plugin architecture 
 for additional functionality  such as: RawConverter, SlideShow, 
 MpegEncoder, ImagesGallery, PrintWizard, CdArchiving...

%prep
%setup -q -n %{name}-%{version}

%build
make -f admin/Makefile.common cvs
%if "%{_lib}" != "lib"
kdelibsuffix="--enable-libsuffix=%(A=%{_lib}; echo ${A/lib/})"
%endif
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --disable-rpath \
            --prefix=%_prefix \
            --libdir=%_libdir $kdelibsuffix \
            --mandir=%_mandir \
            --datadir=%_datadir \
            --disable-debug
%make

%install
rm -rf %buildroot
%makeinstall

%find_lang %name --all-name

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%_bindir/images2mpg
%_bindir/kipidcrawclient
%{_libdir}/kde3/kipiplugin_*
%{_datadir}/doc/HTML/*

%dir %{_datadir}/apps/

%dir %_datadir/apps/kipiplugin_batchprocessimages/
%dir %_datadir/apps/kipiplugin_batchprocessimages/data/
%_datadir/apps/kipiplugin_batchprocessimages/data/*.png

%dir %_datadir/apps/kipiplugin_batchprocessimages/icons/
%dir %_datadir/apps/kipiplugin_batchprocessimages/icons/hicolor/
%dir %_datadir/apps/kipiplugin_batchprocessimages/icons/hicolor/32x32/
%dir %_datadir/apps/kipiplugin_batchprocessimages/icons/hicolor/32x32/actions/
%_datadir/apps/kipiplugin_batchprocessimages/icons/hicolor/32x32/actions/*.png


%dir %_datadir/apps/kipiplugin_findimages/
%dir %_datadir/apps/kipiplugin_findimages/icons/
%dir %_datadir/apps/kipiplugin_findimages/icons/hicolor/
%dir %_datadir/apps/kipiplugin_findimages/icons/hicolor/32x32/
%dir %_datadir/apps/kipiplugin_findimages/icons/hicolor/32x32/actions/
%_datadir/apps/kipiplugin_findimages/icons/hicolor/32x32/actions/*.png

%dir %_datadir/apps/kipiplugin_jpeglossless/
%dir %_datadir/apps/kipiplugin_jpeglossless/icons/
%dir %_datadir/apps/kipiplugin_jpeglossless/icons/hicolor/
%dir %_datadir/apps/kipiplugin_jpeglossless/icons/hicolor/32x32/
%dir %_datadir/apps/kipiplugin_jpeglossless/icons/hicolor/32x32/actions/
%_datadir/apps/kipiplugin_jpeglossless/icons/hicolor/32x32/actions/*.png


%dir %_datadir/apps/kipiplugin_rawconverter/
%dir %_datadir/apps/kipiplugin_rawconverter/icons/
%dir %_datadir/apps/kipiplugin_rawconverter/icons/hicolor/
%dir %_datadir/apps/kipiplugin_rawconverter/icons/hicolor/32x32/
%dir %_datadir/apps/kipiplugin_rawconverter/icons/hicolor/32x32/actions/

%_datadir/apps/kipiplugin_rawconverter/icons/hicolor/32x32/actions/*.png

%_datadir/apps/kipiplugin_slideshow/icons/hicolor/22x22/actions/slideshow.png

%dir %{_datadir}/apps/kipiplugin_htmlexport/
%{_datadir}/apps/kipiplugin_htmlexport/*

%dir %{_datadir}/apps/kipiplugin_simpleviewerexport/
%{_datadir}/apps/kipiplugin_simpleviewerexport/*

%dir %{_datadir}/apps/kipi/
%{_datadir}/apps/kipi/*

%{_datadir}/config.kcfg/htmlexportconfig.kcfg

%{_datadir}/services/kipiplugin_*
%_mandir/man1/images2mpg.1.bz2
%_mandir/man1/kipidcrawclient.1.bz2

%changelog
* Fri Sep 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-3mdv2007.0
- Rebuilt

* Fri Aug 04 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-2mdv2007.0
- Rebuilt

* Mon Jul 10 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-1mdv2007.0
- New release 0.1.2

* Thu Jun 29 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.1-1mdv2007.0
- New release 0.1.1

* Sun Jun 25 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-1mdv2007.0
- new release

* Sat Jun 17 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc2.2mdv2007.0
- fix download url and Mesa dependency

* Sun May 07 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc2.1mdk
- new release

* Sat Feb 25 2006 Angelo Naselli <anaselli@mandriva.org> 0.1.0-0.rc1.4mdk
- fix Bug# 17555: if you have problems and you have Athlon CPU please follow
  bug# 18242

* Sun Jan 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc1.3mdk
- backport from svn of admin to allow recompiling under kde 3.5
  that should fix bug 20485

* Thu Dec 15 2005 Till Kamppeter <till@mandriva.com> 1:0.1.0-0.rc1.2mdk
- Printing out of the print wizard required unreasonably much memory,
  so that it took either more than half an hour per picture or the
  CUPS filtering process crashed. Fixed with patch from
  http://mail.kde.org/pipermail/digikam-devel/2005-December/002495.html
  (patch 0).
- Fixed compilation with QT 3.3.5 (patch 1, Laurent).

* Sat Oct 01 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc1.1mdk
- new release

* Fri Sep 23 2005 Götz Waschk <waschk@mandriva.org> 1:0.1.0-0.beta2.11mdk
- fix deps

* Sat Sep 10 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.10mdk
- avoid it for backport

* Sat Sep 10 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.9mdk
- better implementation to fix mdk #16504 (removed awful script file)

* Mon Aug 29 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.8mdk
- really fix mdk #16504 (added my own pacth #2 and a a script file)

* Tue Aug 23 2005 Angelo Naselli <anaselli@mandriva.org> 0.1.0-0.beta2. 7
- Added patch2: fix mdk #16504 (k3b --nofork)

* Mon Aug 15 2005 Laurent MONTEL <lmontel@mandriva.com> 0.1.0-0.beta2. 6
- Add patch1: fix mdk #17556 (patch from svn last changes)

* Wed Aug 10 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.5mdk
- build po files missed fix bug #17436

* Sun Jul 10 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.4mdk
- aligned rawconverter from svn to fix Mandriva bug #15286

* Wed Mar  9 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1-0.beta2.3mdk
- fix build on lib64 platforms

* Mon Feb 14 2005 Angelo Naselli <anaselli@mandrake.org> 0.1-0.beta2.2mdk
- DistroSpecificReleaseTag support

* Tue Feb 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta2.1mdk
- beta2

* Sun Dec 26 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1-0.beta1.5mdk
- add BuildRequires: libgphoto-devel imlib2-devel libMesaGLU-devel libxml2-utils

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1-0.beta1.4mdk
- fix buildrequires

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta1.3mdk
- Rebuild with libkexif

* Fri Dec 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta1.2mdk
- Fix spec file

* Sat Oct 16 2004 Angelo Naselli <anaselli@mandrake.org> 0.1-0.beta1.1mdk
- new version

* Mon Sep 20 2004 Angelo Naselli <anaselli@mandrake.org> 20040919-1mdk
- new version (gwenview snapshot)

* Wed Sep 08 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-3mdk
- changed the URL with the official one

* Tue Aug 24 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-2mdk
- changed description

* Tue Aug 24 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-1mdk
- built mdk version

* Sat Jun 12 2004 Angelo Naselli <random_lx@yahoo.com> 20040611-1mdk
- built mdk version

* Mon May 10 2004 Angelo Naselli <random_lx@yahoo.com> 20040509-1mdk
- built mdk version
